Subject: Re: tail -f c:\file.log" | sed -n -e "/error/p" -not working
From: Bob McGowan <[email-masked]>
To: Nush Pera <[email-masked]>
Cc: Cygwin <[email-masked]>
Date: Fri, 05 Jan 2001 17:20:39 -0800

I have duplicated this problem, using bash as the shell and a log file in the current directory (eliminating possible issues with the c:\ dos path).  I also ran the test on
a Solaris system.  It worked there as expected.  With cygwin, it looks like the pipe is running in a buffered mode, because when I killed the 'tail...', I got the expected
output (lines containing the word 'error').

I'm not a developer in the Cygwin project and do not have any ideas about how to make this work.  You might find additional information in the FAQ.

Nush Pera wrote:
> 
> Hello!
> When I use the command:
> 
> tail -f c:\file.log | sed -n -e "/error/p"
> 
> for see if exist some "error" in the last lines of log file c:\file.log
> it doesn't work.
> If I use
> 
> tail -10 c:\file.log | sed -n -e "/error/p"
> 
> this work but I'm interested to see if the last line it is with "error" text
> and when it is I want to execute an exe file.
> How do I do that?
> 
> Thanks a lot !
> 
> ____________________________________________________________________
> Get free email and a permanent address at http://www.netaddress.com/?N=1
> 
> --
> Want to unsubscribe from this list?
> Check out: http://cygwin.com/ml/#unsubscribe-simple

-- 
Bob McGowan
Staff Software Quality Engineer
VERITAS Software
[email-masked]

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple